package com.example.Repositories;

import java.util.List;

import com.example.Exceptions.BaseException;
import com.example.Models.Program.ProgramState;

public interface IRepository {
    public void addProgramState(ProgramState programState) throws BaseException;
    public void logProgramStateExecution(ProgramState state) throws BaseException;
    public List<ProgramState> getProgramStates();
    public void setProgramStates(List<ProgramState> programStates);
}
